summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorNicolas Doualot2015-06-08 15:33:47 +0200
committerNicolas Doualot2015-06-08 15:33:47 +0200
commit5109615a7fa04b0fbb257e239dc06ef70d56b735 (patch)
treee77c02c7975c64c7755be65f693702a03a59b0e1
downloadaur-qrfcview.tar.gz
Initial commit
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD30
-rw-r--r--compile.patch77
3 files changed, 126 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..70be973086d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = qrfcview
+ pkgdesc = A simple Qt4 RFC viewer
+ pkgver = 0.62
+ pkgrel = 5
+ url = http://sourceforge.net/projects/qrfcview.berlios/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = pkgconfig
+ depends = qt4
+ source = http://sourceforge.net/projects/qrfcview.berlios/files/qrfcview-0.62.tgz
+ source = compile.patch
+ md5sums = 836783d9c327237f4b1aa40de6b4376a
+ md5sums = d35b267500ccbd173fd64b847413c4f8
+ sha256sums = 59a01a8cada0c9d9a4d577181b80b7e9750ff9a9d4a9826cefca30bdc7365830
+ sha256sums = 5e7b11259b291dd28d6cd2757ad232a739e4d76d8c7edab305e63e38b99189f1
+
+pkgname = qrfcview
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..1703f53dad5
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Contributor: slubman <packages@slubman.info>
+
+pkgname=qrfcview
+pkgver=0.62
+pkgrel=5
+pkgdesc="A simple Qt4 RFC viewer"
+license=('GPL')
+arch=(i686 x86_64)
+url="http://sourceforge.net/projects/qrfcview.berlios/"
+depends=('qt4')
+makedepends=('pkgconfig')
+source=(http://sourceforge.net/projects/qrfcview.berlios/files/$pkgname-$pkgver.tgz compile.patch)
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ patch -p1 < ../compile.patch
+ qmake-qt4 -unix rfcview.pro || return 1
+ make
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ mkdir -p "$pkgdir/usr/bin/"
+ install -m 755 bin/qRFCView "$pkgdir/usr/bin/"
+}
+
+md5sums=('836783d9c327237f4b1aa40de6b4376a'
+ 'd35b267500ccbd173fd64b847413c4f8')
+sha256sums=('59a01a8cada0c9d9a4d577181b80b7e9750ff9a9d4a9826cefca30bdc7365830'
+ '5e7b11259b291dd28d6cd2757ad232a739e4d76d8c7edab305e63e38b99189f1')
diff --git a/compile.patch b/compile.patch
new file mode 100644
index 00000000000..cb0ebb2f46a
--- /dev/null
+++ b/compile.patch
@@ -0,0 +1,77 @@
+diff -Naur a/src/cdialogfind.h b/src/cdialogfind.h
+--- a/src/cdialogfind.h 2006-01-13 10:56:45.000000000 +0100
++++ b/src/cdialogfind.h 2010-07-27 23:04:09.932520353 +0200
+@@ -21,6 +21,7 @@
+ #ifndef CDIALOGFIND_H
+ #define CDIALOGFIND_H
+
++#include <stdint.h>
+ #include <qdialog.h>
+ #include <ui_find_dlg.h>
+
+diff -Naur a/src/cdialogsetdirectory.h b/src/cdialogsetdirectory.h
+--- a/src/cdialogsetdirectory.h 2006-01-13 10:56:45.000000000 +0100
++++ b/src/cdialogsetdirectory.h 2010-07-27 23:04:09.932520353 +0200
+@@ -20,6 +20,7 @@
+
+ #ifndef CDIALOGSETDIRECTORY_H
+ #define CDIALOGSETDIRECTORY_H
++#include <stdint.h>
+ #include <QStringList>
+ #include <ui_setdirectory_dlg.h>
+
+diff -Naur a/src/mainwindow.h b/src/mainwindow.h
+--- a/src/mainwindow.h 2006-01-13 10:56:45.000000000 +0100
++++ b/src/mainwindow.h 2010-07-27 23:04:09.932520353 +0200
+@@ -21,6 +21,7 @@
+ #ifndef MAINWINDOW_H
+ #define MAINWINDOW_H
+
++#include <stdint.h>
+ #include <QStringList>
+ #include <QMainWindow>
+ #include <QDir>
+diff -Naur a/src/mdichild.h b/src/mdichild.h
+--- a/src/mdichild.h 2006-01-13 10:56:45.000000000 +0100
++++ b/src/mdichild.h 2010-07-27 23:04:09.932520353 +0200
+@@ -23,6 +23,7 @@
+ #ifndef MDICHILD_H
+ #define MDICHILD_H
+
++ #include <stdint.h>
+ #include <QSplitter>
+
+ #define PARSER_NORMALTEXT 0
+diff -Naur a/src/qrfceditor.h b/src/qrfceditor.h
+--- a/src/qrfceditor.h 2006-01-13 10:56:45.000000000 +0100
++++ b/src/qrfceditor.h 2010-07-27 23:04:09.932520353 +0200
+@@ -21,6 +21,7 @@
+ #ifndef QRFCEDITOR_H
+ #define QRFCEDITOR_H
+
++#include <stdint.h>
+ #include <qtextbrowser.h>
+ class QStringList;
+
+diff -Naur a/src/rfcloader.h b/src/rfcloader.h
+--- a/src/rfcloader.h 2006-01-13 10:56:45.000000000 +0100
++++ b/src/rfcloader.h 2010-07-27 23:04:09.932520353 +0200
+@@ -21,6 +21,7 @@
+ #ifndef RFCLOADER_H
+ #define RFCLOADER_H
+
++#include <stdint.h>
+ #include <qobject.h>
+ #include <QStringList>
+ #include <QMap>
+diff -Naur a/src/TitleModel.h b/src/TitleModel.h
+--- a/src/TitleModel.h 2006-01-13 10:56:45.000000000 +0100
++++ b/src/TitleModel.h 2010-07-27 23:04:09.935853191 +0200
+@@ -26,6 +26,7 @@
+ #ifndef TITLEMODEL_H
+ #define TITLEMODEL_H
+
++#include <stdint.h>
+ #include <QAbstractItemModel>
+ #include <QModelIndex>
+ #include <QVariant>